<?php
class Uploader {

    protected $_uploadOk = TRUE;
    
    function __construct() {
        global $messages;
        global $commander;
        @mkdir( $commander->getPath(), 0777);
        foreach (array_keys($commander->getFiles()) as $filename) {
            if (!isset($_FILES[$filename])) {
                $messages['e'][] = "Jeden z povinných souborů schází";
                $this->_uploadOk = FALSE;
                continue;
            }
            $uploadOk = 1;
            $target_file = $commander->getPath() . $filename . '.txt';
            $ext = pathinfo(basename($_FILES[$filename]["name"]), PATHINFO_EXTENSION);
            // Povolit pouze určité formáty
            if($ext != "txt" && $ext != "csv") {
                $messages['e'][] = "Povolený formát jsou pouze sobory TXT a CSV.";
                $uploadOk = 0;
            }
            // Uloží soubry a v připadě problému vrátí chybu
            if ($uploadOk == 1) {
                if (!move_uploaded_file($_FILES[$filename]["tmp_name"], $target_file)) {
                    $this->_uploadOk = FALSE;
                }
            }
        }
    }
    
    public function getStatus() {
        return $this->_uploadOk;
    }
}