"use strict";
(function ($) {

$(document).ready(function() {
    $('.upload-new').click(function(){
        $('.main-form').toggleClass('hide');
    });
    
    $('.trail').click(function(){
        $('.trail-pane').removeClass('hide');
        $('.detail-pane').addClass('hide');
    });
    
    $('.detail').click(function(){
        $('.trail-pane').addClass('hide');
        $('.detail-pane').removeClass('hide');
    });
    
    var timeout_id;
    $('input', $('form#trail-form')).keyup(function(){
        timeout_id && clearTimeout( timeout_id );
        timeout_id = setTimeout( function(){$('.trail-call').trigger('click')}, 400 );
    });
    
     
    
    $('.trail-call').click(function(e){
        e.preventDefault();
        var form = $('form#trail-form');
        var d = form.serializeArray();
        var valid = true;
        $.each(d, function( i, item ) {
            var fg = $('input#' + item.name, form).parents('.form-group');
            $('span.glyphicon', fg).remove();
            fg.removeClass('has-error has-feedback');
            if ($.inArray(item.name, ['mass', 'koef', 'glass', 'depth']) > -1 && (item.value == '' || item.value <= '0')) {
                fg.addClass('has-error has-feedback');
                $('input#' + item.name, form).parent().append('<span class="glyphicon glyphicon-remove form-control-feedback"></span>');
                valid = false;
                return true;
            }
            if (item.name == 'skew') {
                if (item.value < -100 || item.value>100) {
                    fg.addClass('has-error has-feedback');
                    $('input#' + item.name, form).parent().append('<span class="glyphicon glyphicon-remove form-control-feedback"></span>');
                    valid = false;    
                }
                return true;
            }
            if (item.value < '0') {
                fg.addClass('has-error has-feedback');
                $('input#' + item.name, form).parent().append('<span class="glyphicon glyphicon-remove form-control-feedback"></span>');
                valid = false;
            }
        });
        if (!valid) {
            return false;   
        }
        $.ajax({
            method: "POST",
            url: "_ajax.php",
            data: d,
        }).done(function(cnt) {
          $('#trail-response-wrapper').html(cnt);
        });
    });
});

})(jQuery); 