<?php
function renderMsgs($messages) {
    foreach ($messages as $type=>$lines) {
        $cl = '';
        switch ($type) {
            case 'e':
               $cl = 'has-error';
               break;
        }
        echo '<div class="row col-md-12 ' . $cl . '">';
        foreach ($lines as $line) {
            echo '<div class="control-label">' . $line . '</div>';
        }
        echo '</div>';
    }
}

function renderTable($rows) {
    if (empty($rows)) return FALSE;
    echo '<table class="table table-bordered table-condensed table-striped">';
    $row = $rows[0];
    echo '<thead>';
    foreach ($row as $val) {
        echo '<th>' . $val . '</th>';
    }
    echo '</thead>';
    echo '<tbody>';
    foreach ($rows as $i => $row) {
        if ($i == 0) continue;
        $cl = '';
        if (isset($row['_cl'])) {
            $cl = $row['_cl'];
            unset($row['_cl']);
        }
        echo '<tr' . ((!empty($cl) ? ' class="' . $cl . '"' : '')) . '>';
        foreach ($row as $val) {
            echo '<td>' . $val . '</td>';
        }
        echo '</tr>';
    }
    echo '</tbody>';
    echo '</table>';
}